import { CookieSerializeOptions } from 'cookie';
export declare class HttpObject {
    cookies: Record<string, string>;
    headers: Record<string, string | Array<string> | undefined>;
    body?: any;
    constructor();
    setCookie(name: string, value: string, options?: CookieSerializeOptions): void;
    getCookie(name: string): string | undefined;
    setHeader(name: string, value: string): void;
    getHeader(name: string): string | string[] | undefined;
}
//# sourceMappingURL=HttpObject.d.ts.map