import { HttpObject } from './HttpObject';
import { HttpRequestFile } from './HttpRequestFile';
export declare class HttpRequest extends HttpObject {
    url: string;
    path: string;
    query: Record<string, string | Array<string> | undefined>;
    headers: Record<string, string | Array<string> | undefined>;
    params: Record<string, unknown>;
    files: Array<HttpRequestFile>;
    [key: string]: any;
    constructor(input: Pick<HttpRequest, 'body' | 'path' | 'url' | 'headers' | 'params' | 'query'>);
}
//# sourceMappingURL=HttpRequest.d.ts.map