"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpRequest = void 0;
const HttpObject_1 = require("./HttpObject");
class HttpRequest extends HttpObject_1.HttpObject {
    constructor(input) {
        super();
        this.body = input.body;
        this.path = input.path;
        this.headers = input.headers;
        this.params = input.params;
        this.query = input.query;
        this.url = input.url;
        this.files = [];
    }
}
exports.HttpRequest = HttpRequest;
