import { HttpHandler } from '../../entities/HttpHandler';
import { Server, ServerOptions } from '../../entities/Server';
import { Options } from 'restify-cors-middleware2';
import { ServerOptions as RestifyOptions } from 'restify';
type RestifyServerAdapterOptions = RestifyOptions & {
    corsOptions?: Options;
};
export declare class RestifyServerAdapter extends Server {
    private app;
    constructor(config: ServerOptions, options?: RestifyServerAdapterOptions);
    private parseRequest;
    private parseResponse;
    protected on(method: 'get' | 'post' | 'patch' | 'delete' | 'options' | 'put', path: string, middlewares: HttpHandler[]): void;
    listen(port: number, callback: () => void): void;
    close(): Promise<void>;
}
export {};
//# sourceMappingURL=RestifyServerAdapter.d.ts.map