"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Router = void 0;
class Router {
    constructor(prefix, controllers) {
        this.prefix = prefix;
        this.controllers = controllers;
        this.handlers = new Proxy(this.controllers, {
            get(target, key) {
                return target[key].handle;
            },
        });
    }
    prefixed(path) {
        return `${this.prefix}${path || ''}`;
    }
}
exports.Router = Router;
